Bug 1649969 - Screen is Shifted After Return From Display Blanking Due To Inactivity
Summary: Screen is Shifted After Return From Display Blanking Due To Inactivity
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-power-manager
Version: 29
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-15 01:46 UTC by ghborrmann
Modified: 2019-11-02 18:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-02 18:56:05 UTC
Type: Bug


Attachments (Terms of Use)

Description ghborrmann 2018-11-15 01:46:29 UTC
Description of problem:  When xfce-power-manager blanks the display due to inactivity, the redisplay shows the screen shifted left by about an inch and a half.  The left inch and a half of the screen is no longer visible.


Version-Release number of selected component (if applicable):  1.6.1-20


How reproducible: Every time.


Steps to Reproduce:
1. Boot to the login screen.
2. Wait until the display blanks (about ten minutes).
3. Hit a key to reactivate the display.

Actual results:  The screen is shifted.


Expected results:  The screen is identical to that before blanking.


Additional info:

If I log in before the screen blanks, the problem does not appear.  Apparently, screen blanking after login is done by xscreensaver, not power-manager.  I have proven, I think, that power-manager is the causing this bug by doing the following:
1. After login, invoke xfce4-power-manager-settings to change "Blank After" to 1 minute.
2. Wait until the screen blanks after 1 minute.
3. Hit a key to reactivate the display.
4. At this point, the screen is shifted.

If I could identify where the default values come from, I could possibly work around this problem by changing them. The values set by xfce4-power-manager-settings affect only the user session, not the delay at the login screen.

I have two computers running F29, but only one of them shows this behavior.  The problem computer has an AMD Athlon 5000+ cpu with a NVIDIA GeForce GT 710 graphics card.  The other has an Intel i7-6700 cpu with a NVIDIA GeForce GT 730 graphics card.  Neither of these systems uses the proprietary NVIDIA drivers.

No messages appear anywhere that appear to be related to this problem.  I have examined messages from dmesg, journalctl, .xsession-errors, and /var/log/Xorg.0.log.  I have stopped the power-manager daemon and generated debug information by running power manager with the --nodaemon option; no messages were generated during the screen blanking and recovery.

Comment 1 ghborrmann 2018-11-15 03:06:28 UTC
This bug appeared first in Fedora 28, and behaved there identically to my previous description.  I never encountered the problem in previous versions, going all the way back to Fedora 9.  I have recently verified that the bug is absent from Fedora 26 and 27.

Comment 2 Kevin Fenzi 2018-11-15 21:19:53 UTC
This is a pretty odd one. :) 

What display manager are you using? lightdm? gdm?

I can only think it's a weird video driver bug.

Comment 3 Ben Cotton 2019-10-31 20:30:00 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 ghborrmann 2019-11-02 11:50:49 UTC
This bug was also present in the initial release of Fedora 30.  An update to Fedora 30 fixed the issue, but I don't know which change was responsible.  I have now gone back to Fedora 29 to check this issue: the update (over 600 packages, including many affecting display) has eliminated this behavior.  This bug can be closed.


Note You need to log in before you can comment on or make changes to this bug.